Bug 242363 - Unable to Add Ports using System->Administration->Firewall and SELinux ->FirewallOptions->Otherports->Add(enter any port value)->Apply->Ok
Unable to Add Ports using System->Administration->Firewall and SELinux ->Fire...
Status: CLOSED DUPLICATE of bug 227285
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Thomas Woerner
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 14:07 EDT by Rajkumar_C
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 11:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajkumar_C 2007-06-03 14:07:15 EDT
Description of problem:

Unable add 8080 webache port by following System->Administration->Firewall and
SELinux->Otherports->Add.

Also unable add 9090, 143, 25 any ports through the above.

Also Unable to disable the firewall.

I disable the firewall and close the window. When i open the window again the
firewall is enabled.


Version-Release number of selected component (if applicable):
output of the command "rpm -q --qf "%{SOURCERPM}\n" -f
/usr/share/system-config-securitylevel/system-config-securitylevel.py"

is given below

system-config-securitylevel-1.7.0-1.fc7.src.rpm


How reproducible:
Unable add 8080 webache port by following System->Administration->Firewall and
SELinux->Otherports->Add.

Also unable to add any port number.


Steps to Reproduce:
1.System->Administration->Firewall and SELinux->FirewallOptions->Otherports->
Add ( ports = 8080 or any other port number) (protocol= tcp)
2.Apply
3.Ok
  
Actual results:


Expected results:


Additional info:
Comment 1 Jack Deslippe 2007-06-05 01:05:44 EDT
I can confirm this bug - the system-config-securitylevel (the Firewall and
SELinux GUI) does not keep any changes I set.  

For the help of the poster I WAS able to change these settings by using the
terminal version system-config-securtitylevel-tui.  If you really need to make
changes use that.
Comment 2 Jack Deslippe 2007-06-05 01:06:11 EDT
(forgot to add myself to the cc list)
Comment 3 Rajkumar_C 2007-06-06 13:37:27 EDT
(In reply to comment #2)
> (forgot to add myself to the cc list)

hai,
thanks for your replay.

I open the required ports by adding port opening commands in the
"/etc/sysconfig/iptables" file. 

Then restart the iptables service. since i only use ipv4 in my pc.
Comment 4 Rajkumar_C 2007-06-06 13:43:51 EDT
hai,

I added the line to the "/etc/sysconfig/iptables" file.

-A RH-Firewall-1-INPUT -m state --state NEW -m tcp -p tcp --dport <port_no> -j
ACCEPT
Comment 5 Thomas Woerner 2007-06-08 11:15:09 EDT

*** This bug has been marked as a duplicate of 227285 ***

Note You need to log in before you can comment on or make changes to this bug.